Bug 28914 - Wrong wording in authentication forms
Summary: Wrong wording in authentication forms
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-27 18:36 UTC by Fridolin Somers
Modified: 2021-10-16 02:19 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 28914: Uniform wording in authentication forms (4.21 KB, patch)
2021-08-27 18:45 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28914: Uniform wording in authentication forms (4.26 KB, patch)
2021-08-28 17:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28914: Uniform wording in authentication forms (4.32 KB, patch)
2021-08-29 10:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28914: Fix wording in authentication forms (2.88 KB, patch)
2021-09-14 20:07 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28914: Fix wording in authentication forms (2.93 KB, patch)
2021-09-15 10:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28914: Fix wording in authentication forms (3.07 KB, patch)
2021-09-18 09:45 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-08-27 18:36:14 UTC
In most authentication forms we see :
Fields "Login:" and "Password:" with a submit button "Log in".

In some places submit button contains "Login", which is confusing for translation.
Also in opac-user.pl semicolon are missing.

I propose we always use :
Fields "Login:", "Password:" with a submit button "Log in".
It will generate less translation entries.
Comment 1 Fridolin Somers 2021-08-27 18:45:00 UTC
Created attachment 124196 [details] [review]
Bug 28914: Uniform wording in authentication forms

In most authentication forms we see :
Fields "Login:" and "Password:" with a submit button "Log in".

In some places submit button contains "Login", which is confusing for translation.
Also in opac-user.pl ":" is missing.

I propose we always use :
Fields "Login:", "Password:" with a submit button "Log in".
It will generate less translation entries.

Test plan:
1) Log out if you are logged in
2) Go to staff interface
3) Check you see field "Login:" and button "Log in"
4) Same for webinstaller
5) Go to OPAC page /cgi-bin/koha/opac-user.pl
6) Check you see fields "Login:" and "Password:"
Comment 2 Owen Leonard 2021-08-28 17:18:44 UTC
Created attachment 124216 [details] [review]
Bug 28914: Uniform wording in authentication forms

In most authentication forms we see :
Fields "Login:" and "Password:" with a submit button "Log in".

In some places submit button contains "Login", which is confusing for translation.
Also in opac-user.pl ":" is missing.

I propose we always use :
Fields "Login:", "Password:" with a submit button "Log in".
It will generate less translation entries.

Test plan:
1) Log out if you are logged in
2) Go to staff interface
3) Check you see field "Login:" and button "Log in"
4) Same for webinstaller
5) Go to OPAC page /cgi-bin/koha/opac-user.pl
6) Check you see fields "Login:" and "Password:"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-08-29 10:54:19 UTC
Created attachment 124218 [details] [review]
Bug 28914: Uniform wording in authentication forms

In most authentication forms we see :
Fields "Login:" and "Password:" with a submit button "Log in".

In some places submit button contains "Login", which is confusing for translation.
Also in opac-user.pl ":" is missing.

I propose we always use :
Fields "Login:", "Password:" with a submit button "Log in".
It will generate less translation entries.

Test plan:
1) Log out if you are logged in
2) Go to staff interface
3) Check you see field "Login:" and button "Log in"
4) Same for webinstaller
5) Go to OPAC page /cgi-bin/koha/opac-user.pl
6) Check you see fields "Login:" and "Password:"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-08-29 10:54:43 UTC
I didn't dig deep, but I believe we already had agreed on that wording before and made changes.
Comment 5 Jonathan Druart 2021-08-30 13:09:12 UTC
(In reply to Katrin Fischer from comment #4)
> I didn't dig deep, but I believe we already had agreed on that wording
> before and made changes.

I don't find it either. Can we find it before we push this please?

Does the change make sense even if the error says "Invalid username or password"?
Comment 6 Katrin Fischer 2021-08-30 13:56:07 UTC
Actually, not resolved, "In Discussion": bug 7867

Can't read the bug right now, so not sure where/why we got stuck.
Comment 7 Jonathan Druart 2021-08-30 15:13:05 UTC
I had in mind something more recent.
Comment 8 Fridolin Somers 2021-09-01 06:50:18 UTC
Is it at least OK to change submit button "Login" to "Log in" ?
Comment 9 David Nind 2021-09-12 10:07:35 UTC
(In reply to Fridolin Somers from comment #8)
> Is it at least OK to change submit button "Login" to "Log in" ?

It is for the submit button (log in where it as an action (verb), for example: Log in with your user id; login when you are referring to the details they use (noun or adjective), for example: Your login details are <username> and <password>, Enter your credentials in the login page.

https://wiki.koha-community.org/wiki/Terminology#L
Comment 10 Fridolin Somers 2021-09-14 00:08:59 UTC
Thanks for the info David :)

I mean here :
https://git.koha-community.org/Koha-community/Koha/src/commit/a5a3a330cfc7c7d6c35db13326745dabf8fe0df3/koha-tmpl/intranet-tmpl/prog/en/modules/auth.tt#L115
  <p class="submit"><input id="submit-button" type="submit" value="Login" tabindex="4" /></p>

We must replace with "Log in" right ?
Comment 11 David Nind 2021-09-14 11:57:56 UTC
(In reply to Fridolin Somers from comment #10)
 
> We must replace with "Log in" right ?

Agreed!
Comment 12 Fridolin Somers 2021-09-14 20:07:47 UTC
Created attachment 124872 [details] [review]
Bug 28914: Fix wording in authentication forms

In most authentication forms we see :
Fields "Login:" and "Password:" with a submit button "Log in".

In some places submit button contains "Login", which is confusing for translation.
It is not correct according to terminology https://wiki.koha-community.org/wiki/Terminology#L
Also in opac-user.pl ":" is missing, it generates new translation entries.

Test plan:
1) Log out if you are logged in
2) Go to staff interface
3) Check you see button "Log in"
4) Go to OPAC page /cgi-bin/koha/opac-user.pl
5) Check you see fields "Login:" and "Password:"
Comment 13 Fridolin Somers 2021-09-14 20:09:20 UTC
Ok now patch only fixes a submit button wording and adds ":" to inputs.

Back to need signoff.
Comment 14 Owen Leonard 2021-09-15 10:53:57 UTC
Created attachment 124882 [details] [review]
Bug 28914: Fix wording in authentication forms

In most authentication forms we see :
Fields "Login:" and "Password:" with a submit button "Log in".

In some places submit button contains "Login", which is confusing for translation.
It is not correct according to terminology https://wiki.koha-community.org/wiki/Terminology#L
Also in opac-user.pl ":" is missing, it generates new translation entries.

Test plan:
1) Log out if you are logged in
2) Go to staff interface
3) Check you see button "Log in"
4) Go to OPAC page /cgi-bin/koha/opac-user.pl
5) Check you see fields "Login:" and "Password:"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 15 Joonas Kylmälä 2021-09-18 09:45:25 UTC
Created attachment 125023 [details] [review]
Bug 28914: Fix wording in authentication forms

In most authentication forms we see :
Fields "Login:" and "Password:" with a submit button "Log in".

In some places submit button contains "Login", which is confusing for translation.
It is not correct according to terminology https://wiki.koha-community.org/wiki/Terminology#L
Also in opac-user.pl ":" is missing, it generates new translation entries.

Test plan:
1) Log out if you are logged in
2) Go to staff interface
3) Check you see button "Log in"
4) Go to OPAC page /cgi-bin/koha/opac-user.pl
5) Check you see fields "Login:" and "Password:"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 16 Jonathan Druart 2021-09-20 10:38:03 UTC
In my opinion it would have been better to continue and finish the work started on bug 7867.
Comment 17 Jonathan Druart 2021-09-20 12:48:01 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 18 Kyle M Hall 2021-10-01 17:43:37 UTC
Pushed to 21.05.x for 21.05.05
Comment 19 Fridolin Somers 2021-10-06 20:14:14 UTC
Pushed to 20.11.x for 20.11.11
Comment 20 Victor Grousset/tuxayo 2021-10-16 02:19:38 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.